Subject: Re: [RFC PATCH 2/6] leds: permit to declare supported offload triggers

From: Marek Behún <[email-masked]>
Date: Sun, 7 Nov 2021 23:06:24 +0100

On Sun,  7 Nov 2021 18:57:14 +0100
Ansuel Smith <[email-masked]> wrote:

> With LEDs that can be offload driven, permit to declare supported triggers
> in the dts and add them to the cled struct to be used by the related
> offload trigger. This is particurally useful for phy that have support
> for HW blinking on tx/rx traffic or based on the speed link.
> 
> Signed-off-by: Ansuel Smith <[email-masked]>

NAK. The device-tree shouldn't define this, only the LED's function as
designated by the manufacturer of the device.

Marek